/*
Theme Name:		Twenty Twenty Child
Description:	belowtoxic Child Theme
Author:			Oliver Maklott /belowtoxic
Author URI:		https://belowtoxic.com
Template:		twentytwenty
Version:		1.0
Text Domain:	twentytwenty-child
*/

* {
	font-family: 'Roboto', sans-serif;
}

body {
	display: flex;
	min-height: 100vh;
	flex-direction: column;
	
	background-color: #FFFDFB;
}


.color-accent,
.color-accent-hover:hover,
.color-accent-hover:focus,
:root .has-accent-color,
.has-drop-cap:not(:focus):first-letter,
.wp-block-button.is-style-outline,
a {
	color: #0E4570 !important;
}
a.elementor-item {
	color: #709DC0 !important;
}
a.elementor-item:hover {
	color: #709DC0 !important;
}
a.elementor-item-active {
	color: #ffffff !important;
	pointer-events: none;
	touch-action: none;
}

#bx-mobile-menu-popup a.elementor-item,
#bx-mobile-footer-menu-popup a.elementor-item {
	color: #0E4570 !important;
}
#bx-mobile-menu-popup a.elementor-item-active,
#bx-mobile-footer-menu-popup a.elementor-item-active {
	color: #ffffff !important;
}

.elementor-text-editor,
p {
	color: #0E4570 !important;
}
.elementor-post-date {
	color: #1F5F91 !important;
}


.bx-project-link {
	margin-bottom: 0 !important;
}



#site-content,
div[data-elementor-type="wp-page"],
div[data-elementor-type="wp-page"] > .elementor-inner,
div[data-elementor-type="wp-page"] > .elementor-inner > .elementor-section-wrap,
div[data-elementor-type="wp-post"],
div[data-elementor-type="wp-post"] > .elementor-inner,
div[data-elementor-type="wp-post"] > .elementor-inner > .elementor-section-wrap {
	flex: 1;
	display: flex;
	flex-direction: column;
}


#cookie-law-info-again {
	background-color: #E2E2E5 !important;
	color: #0E4570 !important;
	width: 170px !important;
	box-shadow: none !important;
}

#cookie_action_close_header {
	background-color: #0E4570 !important;
	color: #ffffff !important;
}

@media only screen and (max-width: 767px) {
	#cookie-law-info-again {
		right: calc(50% - 85px) !important;
	}
}
@media only screen and (min-width: 768px) and (max-width: 1024px) {
	#cookie-law-info-again {
		right: 50px !important;
	}
}
@media only screen and (min-width: 1025px) {
	#cookie-law-info-again {
		right: 50px !important;
	}
}






/* As hex codes */

.color-primary-0 { color: #1F5F91 }	/* Main Primary color */
.color-primary-1 { color: #709DC0 }
.color-primary-2 { color: #3E749D }
.color-primary-3 { color: #0E4570 }
.color-primary-4 { color: #042F4F }

.color-secondary-1-0 { color: #E1B123 }	/* Main Secondary color (1) */
.color-secondary-1-1 { color: #FFE28D }
.color-secondary-1-2 { color: #F5CD56 }
.color-secondary-1-3 { color: #AE850C }
.color-secondary-1-4 { color: #7B5C00 }

.color-secondary-2-0 { color: #E15923 }	/* Main Secondary color (2) */
.color-secondary-2-1 { color: #FFAD8D }
.color-secondary-2-2 { color: #F58356 }
.color-secondary-2-3 { color: #AE3A0C }
.color-secondary-2-4 { color: #7B2300 }



/* As RGBa codes */

.rgba-primary-0 { color: rgba( 31, 95,145,1) }	/* Main Primary color */
.rgba-primary-1 { color: rgba(112,157,192,1) }
.rgba-primary-2 { color: rgba( 62,116,157,1) }
.rgba-primary-3 { color: rgba( 14, 69,112,1) }
.rgba-primary-4 { color: rgba(  4, 47, 79,1) }

.rgba-secondary-1-0 { color: rgba(225,177, 35,1) }	/* Main Secondary color (1) */
.rgba-secondary-1-1 { color: rgba(255,226,141,1) }
.rgba-secondary-1-2 { color: rgba(245,205, 86,1) }
.rgba-secondary-1-3 { color: rgba(174,133, 12,1) }
.rgba-secondary-1-4 { color: rgba(123, 92,  0,1) }

.rgba-secondary-2-0 { color: rgba(225, 89, 35,1) }	/* Main Secondary color (2) */
.rgba-secondary-2-1 { color: rgba(255,173,141,1) }
.rgba-secondary-2-2 { color: rgba(245,131, 86,1) }
.rgba-secondary-2-3 { color: rgba(174, 58, 12,1) }
.rgba-secondary-2-4 { color: rgba(123, 35,  0,1) }




/* Patterns */

.pattern1 {
	background-image: url('/wp-content/themes/twentytwenty-child/assets/asn-bgr-pat-01-144px.png');
	background-repeat: repeat;
	background-size: 36px 36px;
}
.pattern2 {
	background-image: url('/wp-content/themes/twentytwenty-child/assets/asn-bgr-pat-01-144px.png');
	background-repeat: repeat;
	background-size: 18px 18px;
}
.pattern3 {
	background-image: url('/wp-content/themes/twentytwenty-child/assets/asn-bgr-pat-01-144px.png');
	background-repeat: repeat;
	background-size: 9px 9px;
}
.pattern4 {
	background-image: url('/wp-content/themes/twentytwenty-child/assets/asn-bgr-pat-01-144px.png');
	background-repeat: repeat;
	background-size: 4px 4px;
}

